<?php
ini_set("display_errors",0);error_reporting(0);
use Slim\Http\Request;
use Slim\Http\Response;

// Routes

/*$app->get('/[{name}]', function (Request $request, Response $response, array $args) {
    // Sample log message
    $this->logger->info("Slim-Skeleton '/' route");

    // Render index view
    return $this->renderer->render($response, 'index.phtml', $args);
});*/


// authentification users
$app->post('/auth', function ($request, $response) {
    $input = $request->getParsedBody();

    $sth = $this->db->prepare("SELECT id, nom, prenom, email, tel 
                                FROM users 
                                WHERE email=:email and mdp =:mdp");
    $sth->bindParam("email", $input['login']);
    $sth->bindParam("mdp", $input['password']);
    $sth->execute();
    $result = $sth->fetchObject();
    if (!$result)
        return $this->response->withJson('Not Found');
    return $this->response->withJson($result);
});

// authentification users
$app->get('/authMobile[/{email}[/{password}]]', function ($request, $response, $args) {
    $input = $request->getParsedBody();

    $ldaphost = "ldap.metro.podium.erp5.net";  // votre serveur LDAP
    $ldapport = '49999';
    $ldaprdn = 'cn=donut,ou=services,dc=sdis13,dc=fr';
    $ldappass ='ASrtdgt[keFcf=WC';
    $ldap_base ='ou=people,dc=sdis13,dc=fr';
    $apikey = '';
    $senderId = '';

    $ldapconn = ldap_connect( $ldaphost, $ldapport )
    or die( "Impossible de se connecter au serveur LDAP {$ldaphost}" );

    if ($ldapconn) {

        ldap_set_option($ldapconn, LDAP_OPT_PROTOCOL_VERSION, 3);
        // Connexion au serveur LDAP
        $ldapbind = ldap_bind($ldapconn, $ldaprdn, $ldappass);

        // Vérification de l'authentification

        if ($ldapbind) {
            //connection d'un utilisateur

            $search = ldap_search($ldapconn, $ldap_base, '(&(mail='.$args['email'].')(userPassword='.$args['password'].'))');
            $result = ldap_get_entries(  $ldapconn, $search);


            if (strpos($result[0]['givenname'][0], 'Commandant')!== false|| strpos($result[0]['givenname'][0], 'Colonel')!==false){
                $apikey = 'MDAxOGxvY2F0aW9uIG1hdHJpeC5vcmcKMDAxM2lkZW50aWZpZXIga2V5CjAwMTBjaWQgZ2VuID0gMQowMDI5Y2lkIHVzZXJfaWQgPSBAYWRtaW5kb251dDptYXRyaXgub3JnCjAwMTZjaWQgdHlwZSA9IGFjY2VzcwowMDIxY2lkIG5vbmNlID0gXlNBM1Q3aT1XN08wUzk9ZQowMDJmc2lnbmF0dXJlIAKbnL-SKDadGya3VTdmDUB0idmSrAmo5OR7XN3sfjmwCg';
                $senderId = '@admindonut:matrix.org';
            }

            $data = [
                "mail"=>$result[0]['mail'][0],
                "grade"=> $result[0]['givenname'][0],
                "name"=> $result[0]['uid'][0],
                "apiKey"=> $apikey,
                "senderId"=> $senderId,
                'groupname'=> "sapeur"

            ];

            return $this->response->withJson($data);

        } else
            return $this->response->withJson(array("status" => "error", "code" => 0));



    }
    return $this->response->withJson(array("status" => "error", "code" => 0));


    /*$sth = $this->db->prepare("SELECT *
                                FROM usersmobile 
                                WHERE email=:email and mdp =:mdp");
    $sth->bindParam("email", $args['email']);
    $sth->bindParam("mdp", $args['password']);
    $sth->execute();
    $result = $sth->fetchObject();
    if (!$result)
        return $this->response->withJson(array("status" => "error", "code" => 0));
    return $this->response->withJson($result);*/
});


/*streaming*/
$app->get('/streaming/[{apikey}]', function ($request, $response, $args) {
    $service_url = 'https://matrix.org:8448/_matrix/client/r0/sync?filter={"room":{"timeline":{"limit":1}}}&access_token='.$args['apikey'];
    $headers = array
    (
        'Content-Type: application/json'
    );
     
    $ch = curl_init();
    curl_setopt( $ch,CURLOPT_URL, $service_url );
    curl_setopt( $ch,CURLOPT_HTTPGET, true );
    curl_setopt( $ch,CURLOPT_HTTPHEADER, $headers );
    curl_setopt( $ch,CURLOPT_RETURNTRANSFER, true );
    curl_setopt( $ch,CURLOPT_SSL_VERIFYPEER, false );
    $result = curl_exec($ch );
    curl_close( $ch );
    while (true) {
        //echo "retry: 1000" . PHP_EOL;
        echo 'id: ' . uniqid() . PHP_EOL;
        echo 'data: ' . $result . PHP_EOL;
        echo PHP_EOL;
        //ob_flush();
        //flush();
        sleep(1);
        
        return $response->withHeader('Content-Type', 'text/event-stream');
    }

    
});

// get all evenements
$app->get('/evenements', function ($request, $response, $args) {
    $sth = $this->db->prepare("SELECT * FROM evenements ORDER BY dateCreation");
    $sth->execute();
    $events = $sth->fetchAll();
    return $this->response->withJson($events);
});

// get evenement by id
$app->get('/evenement/[{id}]', function ($request, $response, $args) {
    $sth = $this->db->prepare("SELECT * FROM evenements WHERE id=:id");
    $sth->bindParam("id", $args['id']);
    $sth->execute();
    $events = $sth->fetchObject();
    return $this->response->withJson($events);
});

// get evenement by groupName
$app->get('/evenements/group/[{group}]', function ($request, $response, $args) {
    
    $sth = $this->db->prepare("SELECT * FROM evenements WHERE groupName=:groupName ORDER BY dateCreation DESC");
    $sth->bindParam("groupName", $args['group']);
    $sth->execute();
    $events = $sth->fetchAll();
    return $this->response->withJson($events);
});

/*get last event insert*/
$app->get('/evenement/group/[{group}]', function ($request, $response, $args) {
    
    $sth = $this->db->prepare("SELECT * FROM evenements WHERE groupName=:groupName and id = (select max(id)
    FROM evenements WHERE groupName=:groupName GROUP BY id ORDER BY dateCreation DESC LIMIT 1) ");
    $sth->bindParam("groupName", $args['group']);
    $sth->execute();
    $events = $sth->fetchAll();
    return $this->response->withJson($events);
});

// get evenement ordres
$app->get('/evenement/ordres/[{id}]', function ($request, $response, $args) {
    $sth = $this->db->prepare("SELECT * FROM evenements WHERE ordre= 1");
    $sth->execute();
    $events = $sth->fetchAll();
    return $this->response->withJson($events);
});

// get evenement alertes
$app->get('/evenement/alertes/[{id}]', function ($request, $response, $args) {
    $sth = $this->db->prepare("SELECT * FROM evenements WHERE alerte= 1");
    $sth->execute();
    $events = $sth->fetchAll();
    return $this->response->withJson($events);
});

// DELETE a events with given id
$app->delete('/evenement/[{id}]', function ($request, $response, $args) {
    $sth = $this->db->prepare("DELETE FROM evenements WHERE id=:id");
    $sth->bindParam("id", $args['id']);
    if ($sth->execute())
    return $this->response->withJson(array("status" => "success", "code" => 200));
return $this->response->withJson(array("status" => "error", "code" => 404));
});

//ajouter Event
$app->post('/evenements', function ($request, $response) {
    $input = $request->getParsedBody();
    $ordre = ($input['ordre'] == 'true')? 1 : 0;
    $alert = ($input['alert'] == 'true')? 1 : 0;
    $sitacLien = $input['eventName'].'_'. $input['groupName'];

    $sth = $this->db->prepare("INSERT INTO evenements (nom, 
    groupName, 
    alerte, 
    ordre, 
    lieu, 
     idUsersCreate,
      sitacLien,
      description,
      roomId,
      roomAlias) VALUES (:nom,:groupName,:alerte, :ordre, :lieu, :idUserCreate,:sitacLien, :description, :roomId, :roomAlias )");
      
    $sth->bindParam("nom", $input['eventName']);
    $sth->bindParam("groupName", $input['groupName']);
    $sth->bindParam("alerte", $alert);
    $sth->bindParam("ordre", $ordre);
    $sth->bindParam("lieu", $input['eventPlace']);
    $sth->bindParam("idUserCreate", $input['idCurrentUser']);
    $sth->bindParam("sitacLien", $sitacLien);
    $sth->bindParam("description", $input['description']);
    $sth->bindParam("roomId", $input['roomId']);
    $sth->bindParam("roomAlias", $input['roomAlias']);
    if ($sth->execute())
        return $this->response->withJson(array("status" => "success", "code" => 200));
    return $this->response->withJson(array("status" => "error", "code" => 500));
   
});

/* update events */
$app->post('/evenements/[{id}]', function ($request, $response, $args) {
    try
    {
        $input = $request->getParsedBody();
        $ordre = ($input['status'] == 'ordre')? 1 : 0;
        $alert = ($input['status'] == 'alerte')? 1 : 0;
        $sitacLien = $input['nom'].'_'. $input['groupName'];
        $tmp = null;
        $tmp1 = intval($args['id']);

        $sth = $this->db->prepare("UPDATE evenements SET nom =:nom, 
        groupName =:groupName, 
        dateDebut =:dateDebut,
        dateFin =:dateFin,
        alerte =:alerte, 
        ordre =:ordre, 
        lieu =:lieu, 
        idUsersCreate =:idUsersCreate,
        sitacLien =:sitacLien  WHERE id =:id");

        $sth->bindParam("id",  $tmp1);
        $sth->bindParam("nom", $input['nom']);
        $sth->bindParam("groupName", $input['groupName']);
        $sth->bindParam("dateDebut", $tmp);
        $sth->bindParam("dateFin", $tmp);
        $sth->bindParam("alerte", $alert);
        $sth->bindParam("ordre", $ordre);
        $sth->bindParam("lieu", $input['lieu']);
        $sth->bindParam("idUsersCreate", $input['idCurrentUser']);
        $sth->bindParam("sitacLien", $sitacLien);
        if ($sth->execute()){
            return $this->response->withJson(array("status" => "success", "code" => 1));
        }
        return $this->response->withJson(array("status" => "error", "code" => 0));
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }



   /* $app->post('/messages/messageImportant/', function ($request, $response, $args) {
        try 
        {
            $input = $request->getParsedBody();
            $ordre = ($input['status'] == 'ORDRE!')? 1 : 0;
            $alert = ($input['status'] == 'ALERTE')? 1 : 0;
            $sitacLien = $input['nom'].'_'. $input['groupName'];
            $tmp = null;
            $tmp1 = intval($args['id']);
    
            $sth = $this->db->prepare("UPDATE evenements SET nom =:nom, 
            groupName =:groupName, 
            dateDebut =:dateDebut,
            dateFin =:dateFin,
            alerte =:alerte, 
            ordre =:ordre, 
            lieu =:lieu, 
            idUsersCreate =:idUsersCreate,
            sitacLien =:sitacLien  WHERE id =:id");


            
            $sth->bindParam("id",  $tmp1);
            $sth->bindParam("nom", $input['nom']);
            $sth->bindParam("groupName", $input['groupName']);
            $sth->bindParam("dateDebut", $tmp);
            $sth->bindParam("dateFin", $tmp);
            $sth->bindParam("alerte", $alert);
            $sth->bindParam("ordre", $ordre);
            $sth->bindParam("lieu", $input['lieu']);
            $sth->bindParam("idUsersCreate", $input['idCurrentUser']);
            $sth->bindParam("sitacLien", $sitacLien);
            if ($sth->execute()){
                return $this->response->withJson(array("status" => "success", "code" => 1));
            }
            return $this->response->withJson(array("status" => "error", "code" => 0));
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
        */
   
});

$app->get('/ldapconnect', function ($request, $response, $args) {
// LDAP variables
    $ldaphost = "ldap.metro.podium.erp5.net";  // votre serveur LDAP
    $ldapport = '49999';
    $ldaprdn = 'cn=donut,ou=services,dc=sdis13,dc=fr';
    $ldappass ='ASrtdgt[keFcf=WC';
    $ldap_base ='ou=people,dc=sdis13,dc=fr'; // votre port de serveur LDAP

    echo "host ==".$ldaphost;
    echo "\n";
    $ldapconn = ldap_connect( $ldaphost, $ldapport )
    or die( "Impossible de se connecter au serveur LDAP {$ldaphost}" );
    //var_dump(ldap_start_tls($ldapconn));

    echo 'Le résultat de connexion est ' .  $ldapconn . '<br />';

    if ($ldapconn) {

        ldap_set_option($ldapconn, LDAP_OPT_PROTOCOL_VERSION, 3);
        // Connexion au serveur LDAP
        $ldapbind = ldap_bind($ldapconn, $ldaprdn, $ldappass);



        // Vérification de l'authentification
        var_dump($ldapbind);
        if ($ldapbind) {
            echo "Connexion LDAP réussie...";
            $search = ldap_search(  $ldapconn, $ldap_base, 'objectclass=*');
            $result = ldap_get_entries(  $ldapconn, $search);
            //connection d'un utilisateur
            $search = ldap_search($ldapconn, $ldap_base, '(&(mail=christophe.frerson@sdis13-demo.fr)(userPassword=podium))');
           // var_dump($result);
            var_dump($result);
        } else {
            var_dump("ldapdn: " . $ldaprdn);
            var_dump("ldap_error: " . ldap_error($ldapconn));
            ldap_get_option($ldapconn, LDAP_OPT_DIAGNOSTIC_MESSAGE, $err);
            var_dump("ldap_get_option: $err");
            echo "Connexion LDAP échouée...";
        }


    }


        /*$_ds = ldap_connect('ldap.metro.podium.erp5.net:49999');
        ldap_set_option($_ds, LDAP_OPT_PROTOCOL_VERSION, 3);

        ldap_bind($_ds,'arlette.emebikuine','ASrtdgt[keFcf=WC') ;*/
});




