-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Client :  127.0.0.1
-- Généré le :  Mer 22 Novembre 2017 à 15:32
-- Version du serveur :  5.7.14
-- Version de PHP :  5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `podium`
--

-- --------------------------------------------------------

--
-- Structure de la table `evenements`
--

CREATE TABLE `evenements` (
  `id` int(11) NOT NULL,
  `nom` text NOT NULL,
  `groupName` text NOT NULL,
  `dateDebut` datetime DEFAULT NULL,
  `dateFin` datetime DEFAULT NULL,
  `alerte` smallint(2) NOT NULL DEFAULT '0',
  `ordre` smallint(2) NOT NULL DEFAULT '0',
  `lieu` text NOT NULL,
  `dateCreation` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `idUsersCreate` int(11) NOT NULL,
  `sitacLien` text NOT NULL,
  `roomId` text NOT NULL,
  `roomAlias` text NOT NULL,
  `description` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `evenements`
--

INSERT INTO `evenements` (`id`, `nom`, `groupName`, `dateDebut`, `dateFin`, `alerte`, `ordre`, `lieu`, `dateCreation`, `idUsersCreate`, `sitacLien`, `roomId`, `roomAlias`, `description`) VALUES
(30, 'test me', 'test me', NULL, NULL, 0, 1, 'test me', '2017-11-16 14:55:22', 1, 'test me_test me', '', '', ''),
(31, 'test me', '', NULL, NULL, 0, 1, 'test me', '2017-11-16 14:55:24', 1, 'test me_test me', '!hIjALlDphIDRVeezoR:matrix.org', '#eeee:matrix.org', 'hiiiii'),
(32, 'eeee', 'assembly', NULL, NULL, 0, 1, 'test me', '2017-11-21 14:14:01', 1, 'eeee_test me', '!hIjALlDphIDRVeezoR:matrix.org', '#eeee:matrix.org', '             eeee                                           ');

-- --------------------------------------------------------

--
-- Structure de la table `groups_user`
--

CREATE TABLE `groups_user` (
  `id` int(11) NOT NULL,
  `nameGroup` text NOT NULL,
  `dateCreation` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `groups_user`
--

INSERT INTO `groups_user` (`id`, `nameGroup`, `dateCreation`) VALUES
(1, 'sapeur', '2017-11-12 14:06:02'),
(2, 'heros', '2017-11-12 14:06:09'),
(3, 'assembly', '2017-11-21 10:02:38');

-- --------------------------------------------------------

--
-- Structure de la table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `nom` varchar(255) NOT NULL,
  `prenom` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `tel` varchar(255) DEFAULT NULL,
  `services` text NOT NULL,
  `mdp` varchar(255) NOT NULL,
  `id_group` int(11) NOT NULL,
  `loginMatrix` varchar(255) NOT NULL,
  `APIKEY` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `users`
--

INSERT INTO `users` (`id`, `nom`, `prenom`, `email`, `tel`, `services`, `mdp`, `id_group`, `loginMatrix`, `APIKEY`) VALUES
(1, 'admin', 'admin', 'admin@admin.fr', NULL, 'test', 'admin', 1, '', '');

-- --------------------------------------------------------

--
-- Structure de la table `usersmobile`
--

CREATE TABLE `usersmobile` (
  `id` int(11) NOT NULL,
  `firstname` varchar(255) NOT NULL,
  `lastname` varchar(255) NOT NULL,
  `fonction` varchar(255) NOT NULL,
  `brigade` varchar(255) NOT NULL,
  `ville` varchar(255) NOT NULL,
  `caserne` varchar(255) NOT NULL,
  `grade` varchar(255) NOT NULL,
  `apiKey` text NOT NULL,
  `email` varchar(255) NOT NULL,
  `mdp` varchar(255) NOT NULL,
  `groupName` varchar(255) NOT NULL,
  `phoneNumber` varchar(255) NOT NULL,
  `senderId` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `usersmobile`
--

INSERT INTO `usersmobile` (`id`, `firstname`, `lastname`, `fonction`, `brigade`, `ville`, `caserne`, `grade`, `apiKey`, `email`, `mdp`, `groupName`, `phoneNumber`, `senderId`) VALUES
(1, 'Manel', 'bourguiba', 'sapeur pompier', '4ème brigade', 'paris', '11éme caserne', 'officier superieur', 'MDAxOGxvY2F0aW9uIG1hdHJpeC5vcmcKMDAxM2lkZW50aWZpZXIga2V5CjAwMTBjaWQgZ2VuID0gMQowMDI5Y2lkIHVzZXJfaWQgPSBAYWRtaW5kb251dDptYXRyaXgub3JnCjAwMTZjaWQgdHlwZSA9IGFjY2VzcwowMDIxY2lkIG5vbmNlID0gXlNBM1Q3aT1XN08wUzk9ZQowMDJmc2lnbmF0dXJlIAKbnL-SKDadGya3VTdmDUB0idmSrAmo5OR7XN3sfjmwCg', 'manel@donut.fr', '123456789', 'assembly', '0758961475', '@admindonut:matrix.org');

--
-- Index pour les tables exportées
--

--
-- Index pour la table `evenements`
--
ALTER TABLE `evenements`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `groups_user`
--
ALTER TABLE `groups_user`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `usersmobile`
--
ALTER TABLE `usersmobile`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `evenements`
--
ALTER TABLE `evenements`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;
--
-- AUTO_INCREMENT pour la table `groups_user`
--
ALTER TABLE `groups_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT pour la table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT pour la table `usersmobile`
--
ALTER TABLE `usersmobile`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
