import {Injectable} from '@angular/core';
import {Observable} from "rxjs/Observable";
import 'rxjs/add/operator/map';
import {Http} from '@angular/http';


export class User{
    name: string;
    email: string;
    paswword: string;


    constructor(email: string, password:string){
        this.email = email;
        this.paswword = password;
    }
}

@Injectable()
export class AuthService{
    currentUser: User;
    urlEvents : string = "http://localhost/donutMobile/api/public/authMobile";
    constructor(public httpModule:Http){

    }

   /* public login(credentials){
        if (credentials.email === null || credentials.password === null)
            return Observable.throw("Please insert credentials");
        else{
            return Observable.create(observer => {
                let access = (credentials.password === "pass" && credentials.email === "lbeali@yahoo.fr")
                console.log('my access'+ access);
                this.currentUser = new User('lola@lili', 'xxxx');
                observer.next(access);
                observer.complete();
            });
        }
    }*/

    public login(credentials){
        var data =
          credentials.email +'/'+credentials.password;

        return new Promise((resolve, reject) => {
            this.httpModule.get(this.urlEvents+'/'+data)
              .subscribe(res => {
                resolve(res.json());
              }, (err) => {
                reject(err);
              });
          });
    }

    public register(credentials){
        if (credentials.email === null || credentials.password === null){
            return Observable.throw("please insert credentials")
        }else{
            return Observable.create(observer =>{
                observer.next(true);
                observer.complete();
            });
        }
    }

    public getuserInfo() : User{
        return this.currentUser;
    }

    public logout(){
        return Observable.create(observer =>{
            this.currentUser = null;
            observer.next(true);
            observer.complete();
        });
    }

}
