
import {Injectable} from "@angular/core";
import {UserModel} from "../app/model/user.model";
import {LocalStorage} from "../providers/localStorage";
import {Http} from '@angular/http';

@Injectable()
export class UserService{
    urlEvents : string = "http://localhost/donutMobile/api/public/evenement/group/";

    private Myuser:UserModel[] = [];
    constructor(private storage:LocalStorage, public httpModule: Http){

    }

    addUser(user:UserModel){

        this.storage.setUser(user);
    }

    getUserInfo(){
        return this.Myuser;
    }

    getMyLastEvent(groupname){
        return this.httpModule.get(this.urlEvents+groupname).map(res =>res.json());
    }


}
