var API_URL  = 'https://donut-recette.aneo.fr/api/public/';
var urlServeurFront = 'https://donut-recette.aneo.fr/donut/frontv1/';
var API_URL_MATRIX = 'https://matrix.org:8448/_matrix/client/r0/';
var APIKEY = "MDAxOGxvY2F0aW9uIG1hdHJpeC5vcmcKMDAxM2lkZW50aWZpZXIga2V5CjAwMTBjaWQgZ2VuID0gMQowMDI4Y2lkIHVzZXJfaWQgPSBAdGVzdGRvbnV0Om1hdHJpeC5vcmcKMDAxNmNpZCB0eXBlID0gYWNjZXNzCjAwMjFjaWQgbm9uY2UgPSB2c1hZZHorN0RFMDJYNXJKCjAwMmZzaWduYXR1cmUgRlmEA-EmS6Yxu6ulpEfR4-aV92D4KlRIHw1Qt0ybfq8K"
var room_id;
var room_alias

function getAjaxLoader(myUrl, dataToSend, dispacthValue, $message){
    $.ajax({
        type: 'POST',
        url: API_URL+myUrl,
        data: dataToSend,
        dataType: "json",
        async: false,
        success: function (result) {
            
        }
      
      }).done(function(result) {
        alert(result.status)
        if(result.code == 200){
             notify($message);
         }
        
      }).fail(function(){
      });
}

function getCreateRoom(nameRoom, roomAlias, description){
    var dataToSend = {
        creation_content: {
            "m.federate": true
        },
        name: nameRoom,
        preset: "public_chat",
        room_alias_name: roomAlias,
        topic: description
    }

    $.ajax({
        type: 'POST',
        url: API_URL_MATRIX+'createRoom?access_token='+APIKEY,
        data: JSON.stringify(dataToSend),
        dataType: "json",
        async: false,
        success: function (result) {
            room_id = result.room_id;
            room_alias = result.room_alias;
            console.log("succes"+result.room_id);

        }

    }).done(function(result) {
        console.log("done"+result.room_id);debugger;

    }).fail(function(){
        alert("Erreur : change le nom de l'événement");
        debugger;
        return false;
    });
}

function notify(message){
    $.notify({
        icon: 'ti-gift',
        message: "Votre événement a été bien enregistré"

    },{
        type: 'success',
        timer: 4000
    });
}


/*create event*/
$('#create-event').on('click', function(){
    getCreateRoom($('#event-name').val(), $('#event-name').val().replace(/ /g, ""), $('#event-description').val());
    var $message = 'votre événement a été bien enregistré';
    var dataToSend = {
        eventName : $('#event-name').val(),
       eventPlace : $('#event-place').val(),
       groupName : $('#group-name').val(),
       ordre: $('#ordre').is(':checked'),
       alert: $('#alerte').is(':checked'),
       idCurrentUser: localStorage.getItem('id-user'),
       roomId : room_id,
       roomAlias : room_alias,
       description: $('#event-description').val()
    }
  getAjaxLoader('evenements', dataToSend, 'create-event', $message);
})


/*Tbale */
var $table = $('#table').bootstrapTable({url: API_URL+'/evenements'}),
$modal = $('#modal').modal({show: false}),
$alert = $('.alert').hide();

$(function () {
// create event
$('.create').click(function () {
    showModal($(this).text());
});

$modal.find('.submit').click(function () {
    var row = {};

    $modal.find('input[name]').each(function () {
        row[$(this).attr('name')] = $(this).val();
    });
    row['idCurrentUser'] = localStorage.getItem('id-user');

    console.log(row)


    $.ajax({
        url: API_URL+'evenements/' + ($modal.data('id') || ''),
        type:  'post',
        contentType: 'application/json',
        data: JSON.stringify(row),
        success: function () {
            $modal.modal('hide');
            $table.bootstrapTable('refresh');
            showAlert(($modal.data('id') ? 'Update' : 'Create') + ' item successful!', 'success');
        },
        error: function () {
            $modal.modal('hide');
            showAlert(($modal.data('id') ? 'Update' : 'Create') + ' item error!', 'danger');
        }
    });
});
});

function queryParams(params) {
return {};
}

function actionFormatter(value) {
return [
    '<a class="update" href="javascript:" title="Update Item"><i class="glyphicon glyphicon-edit"></i></a>',
    '<a class="remove" href="javascript:" title="Delete Item"><i class="glyphicon glyphicon-remove-circle"></i></a>',
].join('');
}

// update and delete events
window.actionEvents = {
'click .update': function (e, value, row) {
    showModal($(this).attr('title'), row);
},
'click .remove': function (e, value, row) {
    if (confirm('Are you sure to delete this item?')) {
        $.ajax({
            url: API_URL+'evenement/' + row.id,
            type: 'delete',
            success: function () {
                $table.bootstrapTable('refresh');
                showAlert('Delete item successful!', 'success');
            },
            error: function () {
                showAlert('Delete item error!', 'danger');
            }
        })
    }
}
};

function showModal(title, row) {
row = row || {
    id: '',
    name: '',
    stargazers_count: 0,
    forks_count: 0,
    description: ''
}; // default row value

$modal.data('id', row.id);
$modal.find('.modal-title').text(title);
for (var name in row) {
    $modal.find('input[name="' + name + '"]').val(row[name]);
}
$modal.modal('show');
}

function showAlert(title, type) {
$alert.attr('class', 'alert alert-' + type || 'success')
      .html('<i class="glyphicon glyphicon-check"></i> ' + title).show();
setTimeout(function () {
    $alert.hide();
}, 3000);
}
